﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using JQGridMVC.Repository;
using System.Data.Entity;

namespace Test
{
    /// <summary>
    /// Summary description for UnitTest1
    /// </summary>
    [TestClass]
    public class UnitTest1
    {
        public UnitTest1()
        {
            //
            // TODO: Add constructor logic here
            //
        }

        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Additional test attributes
        //
        // You can use the following additional attributes as you write your tests:
        //
        // Use ClassInitialize to run code before running the first test in the class
        // [ClassInitialize()]
        // public static void MyClassInitialize(TestContext testContext) { }
        //
        // Use ClassCleanup to run code after all tests in a class have run
        // [ClassCleanup()]
        // public static void MyClassCleanup() { }
        //
        // Use TestInitialize to run code before running each test 
        // [TestInitialize()]
        // public void MyTestInitialize() { }
        //
        // Use TestCleanup to run code after each test has run
        // [TestCleanup()]
        // public void MyTestCleanup() { }
        //
        #endregion

        [TestMethod]
        public void TestMethod1()
        {
            Database.SetInitializer<AppRepository>(new DropCreateDatabaseAlways<AppRepository>());
            var repo = new AppRepository();
            repo.FakeProfiles.Count();
        }

        [TestMethod]
        public void TestMethod2()
        {
            var repo = new AppRepository();
            for (int i = 1; i <= 100; i++)
            {
                var profile = new FakeProfile
                {
                    FirstName = "First Name" + i.ToString(),
                    LastName = "Last Name" + i.ToString(),
                    Email = "Email@Email.Email" + i.ToString(),
                    PhoneNumber = "2154584945641" + i
                };
                repo.FakeProfiles.Add(profile);
            }
            repo.SaveChanges();
        }
    }
}
